POST V1/Authentication.{ext}/ValidateMFAAccessAndGenerateOtp

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Common.Entities.NotificationToken
NameDescriptionTypeAdditional information
UserId

No description available

string

None.

ClientCode

No description available

string

None.

ClientId

No description available

string

None.

Expiry

No description available

date

None.

NotificationType

No description available

string

None.

NotificationName

No description available

string

None.

FeatureName

No description available

string

None.

RoutePath

No description available

string

None.

Token

No description available

string

None.

Message

No description available

string

None.

Email

No description available

string

None.

UserType

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": "sample string 1",
  "clientCode": "sample string 2",
  "clientId": "sample string 3",
  "expiry": "2026-06-01T14:13:46.2945916-04:00",
  "notificationType": "sample string 5",
  "notificationName": "sample string 6",
  "featureName": "sample string 7",
  "routePath": "sample string 8",
  "token": "sample string 9",
  "message": "sample string 10",
  "email": "sample string 11",
  "userType": "sample string 12"
}

application/xml, text/xml

Sample:
<NotificationToken xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Common.Entities">
  <ClientCode>sample string 2</ClientCode>
  <ClientId>sample string 3</ClientId>
  <Email>sample string 11</Email>
  <Expiry>2026-06-01T14:13:46.2945916-04:00</Expiry>
  <FeatureName>sample string 7</FeatureName>
  <Message>sample string 10</Message>
  <NotificationName>sample string 6</NotificationName>
  <NotificationType>sample string 5</NotificationType>
  <RoutePath>sample string 8</RoutePath>
  <Token>sample string 9</Token>
  <UserId>sample string 1</UserId>
  <UserType>sample string 12</UserType>
</NotificationToken>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.Entities.NotificationToken
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.Entities.NotificationToken

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "NotificationToken",
  "response": {
    "userId": "sample string 1",
    "clientCode": "sample string 2",
    "clientId": "sample string 3",
    "expiry": "2026-06-01T14:13:46.2945916-04:00",
    "notificationType": "sample string 5",
    "notificationName": "sample string 6",
    "featureName": "sample string 7",
    "routePath": "sample string 8",
    "token": "sample string 9",
    "message": "sample string 10",
    "email": "sample string 11",
    "userType": "sample string 12"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.